'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.get_configuration = get_configuration;
exports.configure = configure;
var configuration = {
	reducer: 'form',
	trim: true,
	defaultRequiredMessage: function defaultRequiredMessage() {
		return 'Required';
	},
	defaultErrorHandler: function defaultErrorHandler(error) {
		return false;
	}
};

function get_configuration() {
	return configuration;
}

// In the current implementation
// `configuration` must not be a nested object.
function configure(settings) {
	configuration = _extends({}, configuration, settings);
}
//# sourceMappingURL=configuration.js.map